use crate::LinkKind;

#[derive(Debug, Default)]
pub struct Link {
    pub(crate) href: String,
    pub(crate) kind: LinkKind,
    dark: bool,
}

impl Link {
    pub fn current_tab(href: &str) -> Self {
        Link {
            href: href.to_owned(),
            ..Default::default()
        }
    }

    pub fn new_tab(href: &str) -> Self {
        Link {
            href: href.to_owned(),
            kind: LinkKind::NewTab,
            dark: false,
        }
    }

    pub fn dark(&mut self, dark: bool) -> &mut Self {
        self.dark = dark;
        self
    }

    pub(crate) fn class_string(&self) -> String {
        let mut classes = vec!["toolkit-link"];

        if self.dark {
            classes.push("toolkit-dark");
        }

        classes.join(" ")
    }
}
